package com.citygis.web.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.citygis.web.domain.*;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author citygis
 * @since 2025-01-09
 */
public interface ITabSystemMsgService extends IService<TabSystemMsg> {

    List<TabSystemMsg> getStatistics(TabSystemMsg tabSystemMsg);

    List<TabSystemMsg> getTabSystemMsgList(TabSystemMsg tabSystemMsg);

    List<Exchange> getExchangeCount(String dateTime);

    List<JkCloudCount> getJkcloudCount();

    List<UrlDayCount> getUrlDayCount();

    List<TopicCount> getTopicCountYesterday();

    List<NewCount> getNew();

    Boolean insertTabSystemMsg(TabSystemMsg tabSystemMsg);

    void weekReport();
}
